petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCDeflationSpaceType

Type of deflation

### Synopsis

    typedef enum {
      PC_DEFLATION_SPACE_HAAR,
      PC_DEFLATION_SPACE_DB2,
      PC_DEFLATION_SPACE_DB4,
      PC_DEFLATION_SPACE_DB8,
      PC_DEFLATION_SPACE_DB16,
      PC_DEFLATION_SPACE_BIORTH22,
      PC_DEFLATION_SPACE_MEYER,
      PC_DEFLATION_SPACE_AGGREGATION,
      PC_DEFLATION_SPACE_USER
    } PCDeflationSpaceType;

### Values

| PC_DEFLATION_SPACE_HAAR | - directly assembled based on Haar (db2) wavelet with overflowed filter cuted-off
| PC_DEFLATION_SPACE_DB2 | - MATCOMPOSITE of 1-lvl matices based on db2 (2 coefficient Daubechies / Haar wavelet)
| PC_DEFLATION_SPACE_DB4 | - same as above, but with db4 (4 coefficient Daubechies)
| PC_DEFLATION_SPACE_DB8 | - same as above, but with db8 (8 coefficient Daubechies)
| PC_DEFLATION_SPACE_DB16 | - same as above, but with db16 (16 coefficient Daubechies)
| PC_DEFLATION_SPACE_BIORTH22 | - same as above, but with biorthogonal 2.2 (6 coefficients)
| PC_DEFLATION_SPACE_MEYER | - same as above, but with Meyer/FIR (62 coefficients)
| PC_DEFLATION_SPACE_AGGREGATION | - aggregates local indices (given by operator matix distribution) into a subdomain
| PC_DEFLATION_SPACE_USER | - indicates space set by user

### Notes

Wavelet-based space (except Haar) can be used in multilevel deflation.

### See Also

PCDeflationSetSpaceToCompute(), PCDEFLATION

### Level

intermediate

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages